{% extends "application.html" %}
{% block content %}
    <div class="container-fluid">
        <div class="row d-flex justify-content-between">
            <h1 class="h3 mb-2 text-gray-800">Quản lý người dùng</h1>
            <a href="{{ url_for('User.create') }}">
                <button class="btn btn-primary">Tạo mới</button>
            </a>
        </div>
        <div class="card shadow mb-4">
            <div class="card-header py-3">
                <h6 class="m-0 font-weight-bold text-primary">Danh sách người dùng</h6>
            </div>
            <div class="card-body">
                <div class="table-responsive">
                    <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                        <thead>
                        <tr>
                            <th scope="col">#</th>
                            <th scope="col">Username</th>
                            <th scope="col">Name</th>
                            <th scope="col">Role</th>
                            <!--                        <th scope="col" >Active</th>-->
                            <th scope="col" class="text-center">Action</th>
                        </tr>
                        </thead>

                        <tbody>
                        {% for item in list_user %}
                            <tr>
                                <th>{{ loop.index }}</th>
                                <td>{{ item['email'] }}</td>
                                <td>{{ item['name'] }}</td>
                                <td>
                                    {% if item['role'] == '0' %}
                                        Admin
                                    {% elif item['role'] == '1' %}
                                        Doctor
                                    {% else %}
                                        Patient
                                    {% endif %}
                                </td>
                                <!--                        <td><span>{{item['active']}}</span></td>-->
                                <td width="15%" class="text-center">
                                    <a href="{{ url_for('User.edit', id=item.id) }}"
                                       class="btn btn-sm btn-primary btn-circle"
                                       data-toggle="tooltip" data-placement="left" title="Edit user">
                                        <i class="fa fa-edit"></i>
                                    </a>
                                    {% if current_user.role == '0' %}
                                        <a href="{{ url_for('User.delete', id=item.id) }}"
                                           class="btn btn-sm btn-danger btn-circle"
                                           data-toggle="tooltip" data-placement="left" title="Delete user">
                                            <i class="fa fa-trash"></i>
                                        </a>
                                    {% endif %}

                                    <!--                            <a href="{{ url_for('User.detail', id=item.id) }}" style="text-decoration:none;">-->
                                    <!--                                <button type="button" class="btn btn-sm btn-outline-success btn-sm">View</button>-->
                                    <!--                            </a>-->
                                    <!--                            <a href="{{ url_for('User.edit', id=item.id) }}" style="text-decoration:none;">-->
                                    <!--                                <button type="button" class="btn btn-sm btn-outline-dark btn-sm">Edit</button>-->
                                    <!--                            </a>-->
                                    <!--                            {% if current_user.role == '0' %}-->
                                        <!--                            <a href="{{ url_for('User.delete', id=item.id) }}" style="text-decoration:none;">-->
                                        <!--                                <button type="button" class="btn btn-sm btn-danger btn-sm">Delete</button>-->
                                        <!--                            </a>-->
                                        <!--                            {% endif %}-->
                                </td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>

    </div>
    <div class="d-flex justify-content-center">
        {{ pagination.links }}
    </div>
{% endblock %}